# Call state

A decision block that checks the phone call state.

If the proceed option is set to Immediately, then check if a call is currently in the state, or not, without pausing the fiber. If set to When changed, then the fiber will pause until a call has got to or left the state.

Note! This block should not be used to await incoming or outgoing calls, use the Call incoming or Call outgoing blocks for that.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- State — call state to check for, default is Idle.
- Subscription id — id of subscription (SIM) to check, default is the system default call subscription.